#!/usr/bin/perl
use warnings;
use strict;

use URI::URL;
use HTTP::Headers;
use HTTP::Request;
use LWP::UserAgent;

my $url = new URI::URL('https://www.the-kn.com');
my $headers = new HTTP::Headers(
    'Accept' => 'text/html',
    'User-Agent' => 'Elex/1.0'
);
my $request = new HTTP::Request('GET', $url, $headers);
my $user_agent = new LWP::UserAgent;

my $response = $user_agent->request($request);
if ($response->is_success) {
    print $response->content;
} else {
    print $response->message;
}